summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'openrc/fifo-cronolog.initd')
-rw-r--r--openrc/fifo-cronolog.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/openrc/fifo-cronolog.initd b/openrc/fifo-cronolog.initd
new file mode 100644
index 0000000..30812e6
--- /dev/null
+++ b/openrc/fifo-cronolog.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+start() {
+ ebegin "Starting fifo-cronolog"
+
+ if [ ! -e "${FIFO}" ]; then
+ mkfifo $FIFO || eend $?
+ fi
+ if [ -p "${FIFO}" ]; then
+ chown $FIFO_OWNER $FIFO || eend $?
+ chmod $FIFO_PERMS $FIFO || eend $?
+ else
+ eerror "${FIFO} is not a valid FIFO!"
+ eend 1
+ fi
+
+ start-stop-daemon --start --exec /usr/sbin/fifo-cronolog \
+ --pidfile "${PIDFILE}" -- "${PIDFILE}" "${FIFO}" "${LOGS}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping fifo-cronolog"
+ start-stop-daemon --stop --exec /usr/sbin/fifo-cronolog \
+ --pidfile "${PIDFILE}"
+ eend $?
+}